Windows Phone Marketplace requires Windows Phone 7.5 version

May 23, 2012

Windows Phone Marketplace

Windows Phone Marketplace is now requiring only Windows Phone 7.5 devices. Only with the said version can a user be able to buy and upgrade apps. Should you wish to get that latest Windows Phone mobile app, your phone better be running Windows Phone 7.5 OS. Otherwise, forget it or update your unit first.

Since Windows Phone is relatively new, there isn’t a problem with having to upgrade or buying a new phone. Not yet, at least for now.

[Link] [Link]

Read more on TechFever about: , , ,

Leave a Reply